package speiger.src.coreengine.rendering.input.window;

import org.lwjgl.glfw.GLFWVidMode;

public record VideoMode(int width, int height, int redBits, int greenBits, int blueBits, int refreshrate) {
	public VideoMode(GLFWVidMode buffer) {
		this(buffer.width(), buffer.height(), buffer.redBits(), buffer.greenBits(), buffer.blueBits(), buffer.refreshRate());
	}
	
	public VideoMode(GLFWVidMode.Buffer buffer) {
		this(buffer.width(), buffer.height(), buffer.redBits(), buffer.greenBits(), buffer.blueBits(), buffer.refreshRate());
	}
}